Summary: Stub rpm to set up LONCAPA dependencies
Name: LONCAPA-prerequisites
Version: 1
Release: 35.sles15.lc
License: GPL
Group: Applications/Internet
URL: www.loncapa.org
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch
Requires: apache2 apache2-prefork gd perl perl-GD perl-GD-Barcode perl-GDGraph perl-GD-Graph3d perl-GDTextUtil ImageMagick perl-PerlMagick apache2-mod_perl mysql perl-DBD-mysql perl-DBI perl-Algorithm-Diff perl-Authen-Krb5 perl-Authen-PAM perl-Crypt-DES perl-Crypt-IDEA perl-Event perl-HTML-Parser_loncapa perl-HTML-Tree perl-IO-Socket-SSL perl-IO-stringy perl-MailTools perl-Math-Cephes perl-Math-Random perl-Net-PH perl-Net-SSLeay perl-OLE-Storage_Lite perl-Parse-RecDescent perl-Pod-POM perl-PostScript-Simple perl-Safe-Hole perl-Spreadsheet-WriteExcel perl-String-CRC32 perl-String-Similarity perl-Text-Aspell perl-Text-Query perl-TimeDate aspell perl-IO-Socket-SSL perl-MIME-Lite perl-MIME-Types texlive zip perl-libwww-perl texlive-latex texlive-multirow texlive-wrapfig texlive-ucs texlive-psnfss texlive-zapfding texlive-symbol texlive-xtab texlive-colortbl texlive-amscls texlive-fancyhdr texlive-dvips-bin texlive-dvips texlive-gsftopk texlive-dejavu texlive-dejavu-fonts texlive-aleph ghostscript psutils chrony at gnuplot perl-Cache-Memcached memcached mailx wget pwdutils make bc man vim whois perl-Date-Manip unzip perl-Expect perl-IO-Tty maxima maxima-exec-clisp perl-DateTime perl-Authen-Captcha perl-XML-DOM perl-File-MMagic perl-RTF-HTMLConverter perl-Image-Size perl-Image-Info perl-Error texlive-acrotex perl-CAM-PDF R-base R-phpSerialize perl-Tie-IxHash-Easy R-alr3 R-car R-Hmisc R-leaps R-lmtest R-qAnalyst R-quadprog R-SuppDists R-zoo perl-XML-LibXML perl-Tree perl-TermReadKey groff perl-Captcha-reCAPTCHA aspell-en aspell-de aspell-es aspell-fr aspell-he aspell-pt aspell-tr ca-certificates ca-certificates-mozilla perl-LWP-Protocol-https perl-aliased perl-JSON-DWIW perl-enum perl-Switch perl-Try-Tiny perl-Crypt-Eksblowfish perl-Net-OAuth perl-File-Slurp texlive-actuarialangle perl-Math-Calculus-Expression_loncapa perl-Archive-Zip perl-Number-FormatEng perl-Sys-Hostname-FQDN perl-File-ReadBackwards perl-Text-Unidecode perl-Net-CIDR perl-Crypt-OpenSSL-X509 perl-LWP-UserAgent-DNS-Hosts perl-DateTime-Format-x509 perl-UUID-Tiny perl-Short-URL perl-Math-Round perl-Crypt-PKCS10 perl-Crypt-OpenSSL-DSA perl-Crypt-OpenSSL-RSA perl-Crypt-LE perl-Crypt-X509-CRL_loncapa perl-Crypt-CBC perl-Text-Tabs+Wrap R-mdatools R-FactoMineR
# Requirements for compilation of CAPA
Requires: bison flex swig
# Next require is just for installation of pwauth in the install script.
Requires: gcc patch
Requires: gnuplot >= 4.4
Requires: perl-XML-LibXML >= 2.0019
Requires: perl-XML-SAX >= 0.96
Requires: perl-IO-Socket-SSL >= 1.79
Requires: perl-Net-SSLeay >= 1.50
Conflicts: mod_throttle mod_bandwidth
# Notes on requirements: Net::SMTP/perl-libnet is provided in perl-5.8.3

%description
LONCAPA-prerequisites configures a system to run LON-CAPA.

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
make PREFIX=$RPM_BUILD_ROOT%{_prefix}

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README


%changelog
* Wed Jul 17 2024 Stuart Raeburn <raeburn at lon-capa.org> (1.35)
- Add R-mdatools R-FactoMineR

* Thu Aug 17 2023 Stuart Raeburn <raeburn at lon-capa.org> (1.34)
- Add perl-Crypt-CBC perl-Text-Tabs+Wrap

* Wed Sep 25 2019 Stuart Raeburn <raeburn at lon-capa.org> (1.33)
- Add perl-Crypt-X509-CRL_loncapa

* Wed May 8 2019 Stuart Raeburn <raeburn at lon-capa.org> (1.32)
- Add perl-Crypt-LE

* Sat Sep 29 2018 Stuart Raeburn <raeburn at lon-capa.org> (1.31)
- Add perl-Crypt-OpenSSL-DSA perl-Crypt-OpenSSL-RSA

* Sat Sep 29 2018 Stuart Raeburn <raeburn at lon-capa.org> (1.30)
- Add perl-Crypt-PKCS10

* Fri Sep 28 2018 Stuart Raeburn <raeburn at lon-capa.org> (1.29)
- Add perl-UUID-Tiny perl-Short-URL perl-Math-Round

* Fri Sep 28 2018 Stuart Raeburn <raeburn at lon-capa.org> (1.28)
- Add perl-DateTime-Format-x509

* Fri Sep 28 2018 Stuart Raeburn <raeburn at lon-capa.org> (1.27)
- Add perl-Crypt-OpenSSL-X509 perl-LWP-UserAgent-DNS-Hosts
- Add version dependencies for perl-IO-Socket-SSL, perl-Net-SSLeay
- Add texlive-dvips texlive-gsftopk texlive-aleph

* Fri Sep 28 2018 Stuart Raeburn <raeburn at lon-capa.org> (1.26)
- Add perl-Math-Calculus-Expression_loncapa perl-Archive-Zip
- Add perl-Number-FormatEng perl-Sys-Hostname-FQDN
- Add perl-File-ReadBackwards perl-Text-Unidecode perl-Net-CIDR

* Fri Sep 28 2018 Stuart Raeburn <raeburn at lon-capa.org> (1.25)
- Initial build for sles15
